org.eclipse.jgit.lib

## Interface ReflogReader

    public interface ReflogReader

Utility for reading reflog entries

Since:
  3.0

### Method Summary

Methods
`ReflogEntry` `getLastEntry()` Get the last entry in the reflog
`List<ReflogEntry>` `getReverseEntries()`
`List<ReflogEntry>` `getReverseEntries(int max)`
`ReflogEntry` `getReverseEntry(int number)` Get specific entry in the reflog relative to the last entry which is considered entry zero.

### Method Detail

#### getLastEntry

    ReflogEntry getLastEntry()
                             throws IOException

Get the last entry in the reflog

Returns:
  the latest reflog entry, or null if no log
Throws:
  `IOException`

#### getReverseEntries

    List<ReflogEntry> getReverseEntries()
                                        throws IOException

Returns:
  all reflog entries in reverse order
Throws:
  `IOException`

#### getReverseEntry

    ReflogEntry getReverseEntry(int number)
                                throws IOException

Get specific entry in the reflog relative to the last entry which is considered entry zero.

Parameters:
  `number` -
Returns:
  reflog entry or null if not found
Throws:
  `IOException`

#### getReverseEntries

    List<ReflogEntry> getReverseEntries(int max)
                                        throws IOException

Parameters:
  `max` - max number of entries to read
Returns:
  all reflog entries in reverse order
Throws:
  `IOException`